package com.xunwang.education.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunwang.education.entity.StuNeeds;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 需求表 服务类
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
public interface StudentRequirementsService extends IService<StuNeeds> {

    // 发布学生需求
    boolean publishRequirements(StuNeeds requirements, HttpServletRequest request);

    // 查询个人上架需求数量
    int getPublishCounts(HttpServletRequest request);

    // 个人发布的需求
    IPage<StuNeeds> getPersonCourse(HttpServletRequest request);

    // 更新个人需求上下架
    boolean updatePersonDisplay(HttpServletRequest request);

    // 查询所有需求
    Map getAllRequirements(HttpServletRequest request);
}
